KEL-AGENT(1)

NAME
kel-agent - translates between amateur radio programs and WebSockets

SYNOPSIS
kel-agent [-host host:port] [-cert certfile -key keyfile] [-origins "http://origin1"[,"http://origin2"...]] [-v]

DESCRIPTION
kel-agent translates between various amateur radio installed programs and WebSockets. This allows amateur radio web applications to access rig control and digital mode APIs which are only available over TCP, UDP or by watching local files. WSJT-X is currently supported, with planned support for rigctld and Ham Radio Deluxe.

kel-agent was built to support https://github.com/k0swe/kellog but can be used by any web application that needs to communicate with amateur radio installed programs.

OPTIONS

-host=host:port
    Set the websocket server hosting address. Default is localhost:8081.

-cert=certfile -key=keyfile
    Set the websocket server TLS certificate and private key. These are only necessary when serving beyond localhost.

-origins="http://origin1","http://origin2"
    Set which CORS origins (basically, which websites) should be allowed to access the WebSocket server. Default is "https://log.k0swe.radio" plus some localhost development origins.

-v  Enable verbose debug logging.

EXAMPLE
When running your web application and browser on the same computer as your ham radio programs, no kel-agent options are needed. This is straightforward, safe and the default.

$ kel-agent

If a different hosting port than 8081 is required, use the -host option.

$ kel-agent -host=localhost:5001

It's also possible to run your ham radio programs and kel-agent on one computer, and your web browser and web app on another. This is more complex to secure. I refer you to the GitHub repository for up-to-date documentation.

SEE ALSO
 • https://github.com/k0swe/kel-agent
 • https://github.com/k0swe/kellog